SetCompressor /SOLID lzma
Name "RecentFiles"
!define /date TODAY "%b%d"
OutFile "RecentFiles--${TODAY}.exe"
InstallDir "$PROGRAMFILES\Corel\CorelDRAW Graphics Suite 13\Draw\Gms\"
InstallColors /windows
CRCCheck on
SetDateSave on
XPStyle on
ShowInstDetails show

Page components
Page instfiles

var /global cdr11gms
var /global cdr12gms
var /global cdr13gms

!include Sections.nsh

Section /o "CorelDRAW 11" sec11
	SetOutPath $cdr11gms
	File changeCLOL.exe
	File "recentFiles languages.txt"
	File "RecentFiles patchCDRinfo.exe"
	File recentfiles.gms
	SectionEnd

Section /o "CorelDRAW 12" sec12
	SetOutPath $cdr12gms
	File changeCLOL.exe
	File "recentFiles languages.txt"
	File "RecentFiles patchCDRinfo.exe"
	File recentfiles.gms
	SectionEnd

Section /o "CorelDRAW X3" sec13
	SetOutPath $cdr13gms
	File changeCLOL.exe
	File "recentFiles languages.txt"
	File "RecentFiles patchCDRinfo.exe"
	File recentfiles.gms
	SectionEnd

Function .onInit
	strcpy $0 "11"
	call checkCorel
	strcpy $cdr11gms $1
	ifFileExists "$0" 0 +2
		SectionSetFlags ${sec11} ${SF_SELECTED} 

	strcpy $0 "12"
	call checkCorel
	strcpy $cdr12gms $1
	ifFileExists "$0" 0 +2
		SectionSetFlags ${sec12} ${SF_SELECTED} 

	strcpy $0 "13"
	call checkCorel
	strcpy $cdr13gms $1
	ifFileExists "$0" 0 +2
		SectionSetFlags ${sec13} ${SF_SELECTED} 
	FunctionEnd

function checkCorel
	ReadRegStr $1 HKLM "SOFTWARE\Corel\CorelDRAW\$0.0" "ConfigDir"
	strcpy $1 $1 -6
	strcpy $0 "$1Programs\coreldrw.exe"
	strCpy $1 "$1Draw\GMS\"
	FunctionEnd
